MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024120Open CASCADE[OCCT] OCCT:Visualizationpublic2013-08-21 11:342013-12-19 13:57
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024120: Move out StdPrs_WFShape implementation to StdPrs_WFShape.cxx
DescriptionAfter conversion of this class from generic to normal C++ template (0023959) the header contains a lot of implementation details.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0023959closedaba Getting rid of generic classes in Visualization 

-  Notes
(0025362)
kgv (developer)
2013-08-21 11:37

Patch is ready for review in CR24120 branch
(0025372)
apl (developer)
2013-08-22 14:11

Dear Bugmaster,

The branch is ready for tests,
please proceed.
(0025375)
mkv (tester)
2013-08-23 16:17

Dear BugMaster,

Branch CR24120 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 7e46f0d127d3ba732ac882a60144bfaf6f124a0b

Number of compiler warnings:

occt component :
Linux: 917 (923 on master)
Windows: 852 (852 on master)

products component :
Linux: 189 (188 on master)
Windows: 287 (287 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 366224252 / 366055004
Total CPU difference: 55824.37000000006 / 42536.260000000824

Testing on Windows:
Total MEMORY difference: 424539872 / 427421668
Total CPU difference: 41148.34375 / 32902.09375

There are not differences in images found by testdiff.

- Related Changesets
occt: master c151c0f1
Timestamp: 2013-08-29 09:24:51
Author: kgv
Committer: bugmaster
Details ] Diff ]
0024120: Move out StdPrs_WFShape implementation to StdPrs_WFShape.cxx
Small correction of test case
mod - src/Prs3d/FILES Diff ] File ]
add - src/Prs3d/Prs3d_WFShape.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_WFShape.hxx Diff ] File ]
mod - src/StdPrs/StdPrs_WFDeflectionShape.hxx Diff ] File ]
mod - src/StdPrs/StdPrs_WFShape.hxx Diff ] File ]
mod - tests/heal/data/advanced/ZA1 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-08-21 11:34 kgv New Issue
2013-08-21 11:34 kgv Assigned To => kgv
2013-08-21 11:34 kgv Relationship added child of 0023959
2013-08-21 11:37 kgv Note Added: 0025362
2013-08-21 11:37 kgv Assigned To kgv => apl
2013-08-21 11:37 kgv Status new => resolved
2013-08-22 14:11 apl Note Added: 0025372
2013-08-22 14:11 apl Assigned To apl => bugmaster
2013-08-22 14:11 apl Status resolved => reviewed
2013-08-22 14:32 mkv Assigned To bugmaster => mkv
2013-08-23 16:17 mkv Note Added: 0025375
2013-08-23 16:18 mkv Test case number => Not needed
2013-08-23 16:18 mkv Assigned To mkv => bugmaster
2013-08-23 16:18 mkv Status reviewed => tested
2013-09-03 12:22 bugmaster Changeset attached => occt master c151c0f1
2013-09-03 12:22 bugmaster Status tested => verified
2013-09-03 12:22 bugmaster Resolution open => fixed
2013-12-19 13:52 bugmaster Status verified => closed
2013-12-19 13:57 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker